smart_ptr.hpp File Reference

A pointer with a reference counter. More...

`#include <claw/impl/smart_ptr.tpp>`

Go to the source code of this file.

## Classes

class | claw::memory::smart_ptr< T >
| A pointer with a reference counter. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::memory
| Memory management.

## Detailed Description

A pointer with a reference counter.

Author
  Julien Jorge

Definition in file smart_ptr.hpp.